Subject: Re: Doubt in draft-ietf-l3vpn-rfc2547bis-03.txt

From: John Smith <[email-masked]>
Date: Thu, 28 Jul 2005 16:00:37 +0100 (BST)

As always, you've been of great help.

Thanks,
John

----- Original Message ----- 
From: "Robert Raszuk" <[email-masked]>
To: "John Smith" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, July 28, 2005 8:20 PM
Subject: Re: Doubt in draft-ietf-l3vpn-rfc2547bis-03.txt

> John,
> 
> I don't think SOO needs to be applied for static & connected routes.
> 
> R.
> 
>> And just another doubt!
>> 
>> I have set an incoming routemap for a VRF where i set a SOO and/or some other extended
>> communities. Now, i redistribute some static routes and some connected routes. Now,
these
>> routes have "technically" not been learnt through a BGP peer. SHould I in such cases,
>> also attach these extended communities (SOO, etc).
>> 
>> I do this for the routes that i learn from a BGP peer. Am i required to do the same
for
>> the redistributed routes, etc?
>> 
>> Thanks,
>> John
>> 
>> ----- Original Message ----- 
>> From: "Robert Raszuk" <[email-masked]>
>> To: "John Smith" <[email-masked]>
>> Cc: <[email-masked]>
>> Sent: Thursday, July 28, 2005 3:19 PM
>> Subject: Re: Doubt in draft-ietf-l3vpn-rfc2547bis-03.txt
>> 
>> 
>> 
>>>John,
>>>
>>>In my opinion the logical AND should be used when checking SOO value and 
>>>as soon as at least one match is found the route should not be allowed 
>>>back to the site.
>>>
>>>Cheers,
>>>R.
>>>
>>>
>>>>Hi,
>>>>
>>>>I was going through draft-ietf-l3vpn-rfc2547bis-03.txt and there is a point thats not
>>>>clear to me.
>>>>
>>>>It says that the route origin ext community is used "to uniquely identify the set of
>>>>routes learned from a particular site".
>>>>
>>>>However, what isnt clear to me from reading this is whether a route can have multiple
>>>>instances of this community? Is it possible for a route to carry soo:1:1 and soo:2:2.
>>>>
>>>>If yes, then should this route be advertised to a BGP CE peer if that peer is
>> 
>> associated
>> 
>>>>with soo:1:1
>>>>
>>>>Similarly, this route would also not be announced to a BGP peer associated with the
>>>>following SOOs:
>>>>
>>>>soo:2:2
>>>>and soo:1:1 and soo:2:2
>>>>
>>>>This raises another question. What if a site is associated with SOO soo:1:1 and
>> 
>> soo:2:2
>> 
>>>>and a MPBGP peer recieves a route with soo:1:1.
>>>>
>>>>In this case, should the route be advertised or not?
>>>>
>>>>Thanks,
>>>>John
>>>>
>>>>
>>>>
>>>>___________________________________________________________ 
>>>>How much free photo storage do you get? Store your holiday 
>>>>snaps for FREE with Yahoo! Photos http://uk.photos.yahoo.com
>>>>
>>>
>> 
>> 
>> 
>> 
>> 
>> ___________________________________________________________ 
>> Yahoo! Messenger - NEW crystal clear PC to PC calling worldwide with voicemail
http://uk.messenger.yahoo.com

___________________________________________________________ 
Yahoo! Messenger - NEW crystal clear PC to PC calling worldwide with voicemail http://uk.messenger.yahoo.com